import datetime
import time

from django import forms
from django.forms import widgets
from django.contrib.admin import widgets as admin_widgets
from django.conf import settings
from django.utils.encoding import force_unicode
from django.utils.safestring import mark_safe
from django.forms.util import flatatt
from django.utils.translation import ugettext as _
from django.utils.datastructures import MultiValueDict
from django.utils.translation import get_language
from django.utils.formats import get_format

#class DateTimeWidget(admin_widgets.AdminDateWidget):
#    pass

class DateWidget(forms.DateTimeInput):
    class Media:
        js = (settings.STATIC_URL + "js/core.js",
              settings.STATIC_URL + "js/calendar.js",
              settings.STATIC_URL + "js/admin/DateTimeShortcuts.js")

    def __init__(self, attrs={}, format=None):
        super(DateWidget, self).__init__(attrs={'class': 'vDateField', 'size': '10'}, format=format)


class DateTimeWidget(forms.SplitDateTimeWidget):
    """
    A SplitDateTime Widget that has some admin-specific styling.
    """
    def __init__(self, attrs=None):
        widgets = [DateWidget, admin_widgets.AdminTimeWidget]
        # Note that we're calling MultiWidget, not SplitDateTimeWidget, because
        # we want to define widgets.
        forms.MultiWidget.__init__(self, widgets, attrs)

    def format_output(self, rendered_widgets):
        return mark_safe(u'<p class="datetime">%s %s<br />%s %s</p>' % \
            (_('Date:'), rendered_widgets[0], _('Time:'), rendered_widgets[1]))
